import request from '@/utils/request.js'

/* // 实时定位-全部部门车辆信息
export function deptVehAll(params) {
	return request({
		url: '/system/vehicle/common/deptVehAll',
		method: 'GET', 
		params
	})
}

// 实时定位-全部部门车辆信息(Map)
export function deptVehMapAll(params) {
  return request({
    url: '/system/vehicle/common/deptVehMapAll',
    method: 'GET',
    params
  })
} */

// 实时列表
export function realTimeList(params) {
	return request({
		url: '/system/largeScreen/realTimeList',
		method: 'POST', 
		params
	})
}

// 实时更新列表(Map)
export function realTimeMap(params) {
	return request({
		url: '/system/largeScreen/realTimeMap',
		method: 'POST', 
		params
	})
}

/* 矿山车辆详情 start */


// 获取矿山车辆详情
export function queryRangeVeh(query) {
  return request({
    url: '/metadata/geo/queryRangeVeh',
    method: 'post',
    data: query
  })
}

/* 矿山车辆详情 end */


// 修改车辆备注
export function updateVehRemark(query) {
  return request({
    url: '/system/system/vehicle/updateRemark',
    method: 'post',
    data: query
  })
}
// 修改保洁备注
export function updateCleanRemark(query) {
  return request({
    url: '/system/sanitation/cleaning/updateRemark',
    method: 'post',
    data: query
  })
}